wxStringOutputStream Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxStringOutputStream Class Reference
Class List by Category » Streams

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/sstream.h>`

Inheritance diagram for wxStringOutputStream:
[legend]

## Detailed Description

This class implements an output stream which writes data either to a user-provided or internally allocated string.

Note that currently this stream does not support seeking but can tell its current position.

##

Library: wxBase
Category: Streams

## Public Member Functions
| wxStringOutputStream (wxString *pString=NULL, wxMBConv &conv=wxConvUTF8)
| Construct a new stream object writing the data to a string.
const wxString & | GetString () const
| Returns the string containing all the data written to the stream so far.
Public Member Functions inherited from wxOutputStream
| wxOutputStream ()
| Creates a dummy wxOutputStream object.
virtual | ~wxOutputStream ()
| Destructor.
virtual bool | Close ()
| Closes the stream, returning false if an error occurs.
virtual size_t | LastWrite () const
| Returns the number of bytes written during the last Write().
void | PutC (char c)
| Puts the specified character in the output queue and increments the stream position.
virtual wxFileOffset | SeekO (wxFileOffset pos, wxSeekMode mode=wxFromStart)
| Changes the stream current position.
virtual wxFileOffset | TellO () const
| Returns the current stream position.
virtual wxOutputStream & | Write (const void *buffer, size_t size)
| Writes up to the specified amount of bytes using the data of buffer.
wxOutputStream & | Write (wxInputStream &stream_in)
| Reads data from the specified input stream and stores them in the current stream.
bool | WriteAll (const void *buffer, size_t size)
| Writes exactly the specified number of bytes from the buffer.
Public Member Functions inherited from wxStreamBase
| wxStreamBase ()
| Creates a dummy stream object.
virtual | ~wxStreamBase ()
| Destructor.
wxStreamError | GetLastError () const
| This function returns the last error.
virtual wxFileOffset | GetLength () const
| Returns the length of the stream in bytes.
virtual size_t | GetSize () const
| This function returns the size of the stream.
virtual bool | IsOk () const
| Returns true if no error occurred on the stream.
virtual bool | IsSeekable () const
| Returns true if the stream supports seeking to arbitrary offsets.
void | Reset (wxStreamError error=wxSTREAM_NO_ERROR)
| Resets the stream state.
bool | operator! () const
| Returns the opposite of IsOk().

## Additional Inherited Members
Protected Member Functions inherited from wxOutputStream
size_t | OnSysWrite (const void *buffer, size_t bufsize)
| Internal function.
Protected Member Functions inherited from wxStreamBase
virtual wxFileOffset | OnSysSeek (wxFileOffset pos, wxSeekMode mode)
| Internal function.
virtual wxFileOffset | OnSysTell () const
| Internal function.

## Constructor & Destructor Documentation

## ◆ wxStringOutputStream()

wxStringOutputStream::wxStringOutputStream | ( | wxString * | pString = NULL,
|  | wxMBConv & | conv = wxConvUTF8 )
| explicit

Construct a new stream object writing the data to a string.

If the provided pointer is non-NULL, data will be written to it. Otherwise, an internal string is used for the data written to this stream, use GetString() to get access to it.

If str is used, data written to the stream is appended to the current contents of it, i.e. the string is not cleared here. However if it is not empty, the positions returned by wxOutputStream::TellO will be offset by the initial string length, i.e. initial stream position will be the initial length of the string and not 0.

Notice that the life time of conv must be greater than the life time of this object itself as it stores a reference to it. Also notice that with default value of this argument the data written to the stream must be valid UTF-8, pass `wxConvISO8859_1` to deal with arbitrary 8 bit data.

## Member Function Documentation

## ◆ GetString()

const wxString & wxStringOutputStream::GetString | ( |  | ) | const

Returns the string containing all the data written to the stream so far.